Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi
Class QueryResult<T>

    java.lang.Object
      com.bea.content.spi.QueryResult<T>

All Implemented Interfaces
  Serializable

Deprecated As of 10.2, replaced by `QueryResult`. The SPI interfaces in the com.bea.content.spi package have all been deprecated as of 10.2. BEA does not intend to remove these interfaces during the next major release of WebLogic Portal. However, please note that new development should take place using the com.bea.content.spi.flexspi interfaces going forward.

    @Deprecated
    public class QueryResult<T>

extends Object
implements Serializable

query results

See Also
  Serialized Form

Constructor Summary
`QueryResult(List<T> queryResults, QueryCriteria queryCriteria)` Deprecated
`QueryResult(List<T> queryResults, SortCriteria sortCriteria, FilterCriteria filterCriteria)` Deprecated

Method Summary
`boolean` | `equals(Object obj)` Deprecated
`FilterCriteria` | `filterCriteria()` Deprecated
`int` | `hashCode()` Deprecated
`QueryCriteria` | `queryCriteria()` Deprecated
`List<T>` | `results()` Deprecated
`SortCriteria` | `sortCriteria()` Deprecated
`String` | `toString()` Deprecated

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryResult

    public QueryResult(List<T> queryResults,
                       QueryCriteria queryCriteria)

  Deprecated

### QueryResult

    public QueryResult(List<T> queryResults,
                       SortCriteria sortCriteria,
                       FilterCriteria filterCriteria)

  Deprecated

Method Detail

### queryCriteria

    public QueryCriteria queryCriteria()

  Deprecated

### sortCriteria

    public SortCriteria sortCriteria()

  Deprecated

### filterCriteria

    public FilterCriteria filterCriteria()

  Deprecated

### results

    public List<T> results()

  Deprecated

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Deprecated
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated
  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved